<?xml version="1.0" standalone="no" ?>
<!-- JEDIVIEW Project File -->
<Project name="" >
    <CFG name="Debug Ram"/>

    <ProjectType name="Linux Module" output="mo">
            <CFG name="C Source" extension="c;cpp;cxx;cc" output="o" tool="CC" Application="arm-elf-gcc" pre="false" flag = "CFLAGS" cmd="@$(CC) -c -o &quot;$@&quot; &quot;$&lt;&quot; $(CFLAGS) $(SYS_INCLUDE)"/> 
            <CFG name="Assembler Source" extension="asm;s" output="o" tool="AS" Application="arm-elf-as" pre="false" flag = "ASFLAGS" cmd="@$(CC) -c -o &quot;$@&quot; &quot;$&lt;&quot; $(ASFLAGS) $(SYS_INCLUDE)"/>
            <CFG name="Object File" extension="obj;o;a;lib" output="mo" tool="LD" Application="arm-elf-ld" pre="false" flag = "LDFLAGS" cmd="@$(CC) -o $@ $^ -Wl,-r $(LDFLAGS) $(SYS_LIB)" />
    </ProjectType>      
    
    <Configurations>
        <CFG name="Debug Ram">
            <Debug name="./DbgRam/%s.elf" path="./DbgRam" argu="" output=""/>
            <Tool name="CC" base="-gstabs+ -O0  -D_DEBUG -Wall" current="-gstabs+ -O0 -Wall -I. -D_DEBUG -D__KERNEL__ -D__linux__ -DEXPORT_SYMTAB -DMODVERSIONS"/>
            <Tool name="AS" base="-Wa,--gstabs" current="-Wa,--gstabs"/>
            <Tool name="LD" base="" current="-Wl,-Map -Wl,$(basename $@).map -nostartfiles -nodefaultlibs -nostdlib"/>
            <General name="%s.%s" path="./DbgRam" />
            <Post>
            	<CFG name=""/>
            </Post>
            <Pre>
            	<CFG name=""/>
            </Pre>
        </CFG>
        <CFG name="Release Ram">
            <Debug name="./RelRam/%s.elf" path="./RelRam" argu="" output=""/>
            <Tool name="CC" base="-O2" current="-O2 -I. -D__KERNEL__ -D__linux__ -DEXPORT_SYMTAB -DMODVERSIONS"/>
            <Tool name="AS" base="-Os" current="-Os"/>
            <Tool name="LD" base="" current="-Wl,-Map -Wl,$(basename $@).map -nostartfiles -nodefaultlibs -nostdlib"/>
            <General name="%s.%s" path="./RelRam" />
            <Post>
            	<CFG name=""/>
            </Post>
            <Pre>
            	<CFG name=""/>
            </Pre>
        </CFG>
    </Configurations>
    <Target>
	<LinkOrder name=""/>
        <Group name="Source Files" filter="c;cpp">
        </Group>
        <Group name="Header Files" filter="h,hpp">
        </Group>
        <Group name="Lib Files" filter="lib">
        </Group>
    </Target>
</Project>
